Magisk With EmojiOne and Saftey Net?

Discussion in 'Android' started by gudenau, Jun 21, 2017.

  1. gudenau
    OP

    gudenau Largely ignored

    Member
    GBAtemp Patron
    gudenau is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    3,301
    1,253
    Jul 7, 2010
    United States
    /dev/random
    I am attempting to get EmojiOne and Saftey Net on my phone with Majisk, but Ican not get it to work. I am using 96f8efc and Pure Nexus 7.1.2-20170612-OFFICAL.

    [​IMG]
     
  2. FireEmblemGuy

    FireEmblemGuy Celebrating a decade of shitposting

    Member
    2,451
    448
    Jul 6, 2007
    United States
    Michigan, USA
    I have no idea about the emoji thing, but I've had no problems getting Magisk 13.0 to pass SafetyNet checks. Just go to Magisk's settings and turn on Magisk Hide. I haven't had to do anything else to get apps that have SafetyNet checks working properly.
     
  3. gudenau
    OP

    gudenau Largely ignored

    Member
    GBAtemp Patron
    gudenau is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    3,301
    1,253
    Jul 7, 2010
    United States
    /dev/random
    What modules do you have installed?
     
  4. FireEmblemGuy

    FireEmblemGuy Celebrating a decade of shitposting

    Member
    2,451
    448
    Jul 6, 2007
    United States
    Michigan, USA
    No modules, no special settings, just enabled Magisk Hide. Granted, I'm still on Marshmallow with a much more limited custom ROM and a non-Nexus device - I can't guarantee things will work the same with newer versions of Android. Still, my Fire Emblem: Heroes profile hasn't nuked itself and the SafetyNet check app I have still returns success whenever I try it.

    Looking at the Magisk changelog, I'm still a few builds behind the current one, but from the build you're using it looks like you should be able to use modules and still pass SafetyNet.
     
  5. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,281
    1,408
    Aug 5, 2007
    It's Google that's messing about. What you might need is a custom kernel like Franco. I had to install it to bypass the latest SafetyNet with the same Beta you run.
     
  6. gudenau
    OP

    gudenau Largely ignored

    Member
    GBAtemp Patron
    gudenau is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    3,301
    1,253
    Jul 7, 2010
    United States
    /dev/random
    Yeah, using a couple modules.

    Who is Franco?
     
  7. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,281
    1,408
    Aug 5, 2007
  8. gudenau
    OP

    gudenau Largely ignored

    Member
    GBAtemp Patron
    gudenau is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    3,301
    1,253
    Jul 7, 2010
    United States
    /dev/random
  9. SolidMario7

    SolidMario7 Advanced Member

    Newcomer
    60
    9
    Jul 4, 2010
    United States
    California
    Go to settings and tick "Magisk Core Only Mode" and see if that works.

    Edit: And reboot before you test it.
     
    Last edited by SolidMario7, Jun 21, 2017
  10. gudenau
    OP

    gudenau Largely ignored

    Member
    GBAtemp Patron
    gudenau is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    3,301
    1,253
    Jul 7, 2010
    United States
    /dev/random
    That didn't help, oddly enough.

    But I tried installing everything at once and it's passing right now so I'll say it's solved.